Bug 786143 - log collector is failing - non-existing plugin (rhevm) was specified in the command line
Summary: log collector is failing - non-existing plugin (rhevm) was specified in the c...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-logcollector
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.1
Assignee: Alex Lourie
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-31 15:26 UTC by Moran Goldboim
Modified: 2012-08-09 08:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-09 08:04:32 UTC
oVirt Team: ---


Attachments (Terms of Use)
logcollector and isouploader config files (1.37 KB, application/x-gzip)
2012-02-01 15:36 UTC, Moran Goldboim
no flags Details

Description Moran Goldboim 2012-01-31 15:26:05 UTC
Description of problem:
log collector is failing to collect logs for 2 flows:
-non-existing plugin
engine-log-collector collect
Please provide the REST API password for the admin@internal oVirt Engine user (CTRL+D to skip): 
INFO: No hypervisors were selected, therefore no hypervisor data will be collected.
Please provide the password for the PostgreSQL user, postgres, to dump the engine PostgreSQL database instance (CTRL+D to skip): 
INFO: Gathering PostgreSQL the oVirt Engine database and log files from localhost...
INFO: Gathering oVirt Engine information...
ERROR: unable to set option for disabled or non-existing plugin (engine)
ERROR: a non-existing plugin (rhevm) was specified in the command line


-if you had a previous run of it - it fails to collect:
ngine-log-collector collect
ERROR: the scratch directory for temporary storage of RHEVH reports is not empty.
ERROR: It should be empty so that reports from a prior invocation of the log collector are not collected again.
ERROR: The directory is: /tmp/logcollector/RHEVH-and-PostgreSQL-reports'


Version-Release number of selected component (if applicable):
ovirt-engine-log-collector-3.0.0_0001-1.4.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1.engine-log-collector collect
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Moran Goldboim 2012-02-01 15:36:27 UTC
Created attachment 558853 [details]
logcollector and isouploader config files

Comment 2 Alex Lourie 2012-02-02 12:29:43 UTC
Merged to main.

Comment 3 Itamar Heim 2012-08-09 08:04:32 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/


Note You need to log in before you can comment on or make changes to this bug.